#from OSM_outils.OSMnx_recuperation_graph_information import OSMnx_recuperation_graph_information
from django import forms
#from django.core.exceptions import ValidationError
#from recuperateur_reseau_viaire.models import Ville
from django.contrib.postgres.fields import ArrayField
from django.db import models


class VilleFormUpdate(forms.Form):
    """
    Cette méthode permet de modifier une ligne de la Table Ville

    """

    def __init__(self, *args, **kwargs):
        super(VilleFormUpdate, self).__init__(*args, **kwargs)
        print(args[0]["liste_villes"])
        for ville in args[0]["liste_villes"]:
            self.fields[ville.ville_nom] = forms.CharField(initial=ville.ville_nom, label="nom de la ville ")